package inf101.v18.rogue101.items;

import inf101.v18.rogue101.game.IGame;
import inf101.v18.rogue101.objects.IItem;

import java.util.Random;

public class Bow implements IRangedWeapon {
    private static final Random random = new Random();
    private final int damage = 3 + random.nextInt(20);
    private final int hp = getMaxHealth();

    @Override
    public int getWeaponDamage() {
        return damage;
    }

    @Override
    public int getWeaponAttack() {
        return 15;
    }

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefence() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 110;
    }

    @Override
    public String getName() {
        return "Unknown bow";
    }

    @Override
    public int getSize() {
        return 2;
    }

    @Override
    public String getPrintSymbol() {
        return "\uD83C\uDFF9";
    }

    @Override
    public String getSymbol() {
        return "b";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        return 0;
    }
}
